import request from '@/router/axios'

export function selectWmScorePackageListsForBCApi(query) {
    return request({
      url: '/admin/wmscorepackage/selectWmScorePackageListsForBC',
      method: 'get',
      params: query
    })
}
export function listCsoApi(query) {
    return request({
      url: '/admin/wmdaagent/listCso',
      method: 'get',
      params: query
    })
}
export function wmscorepackageListApi(query) {
    return request({
      url: '/admin/wmscorepackage/lists',
      method: 'get',
      params: query
    })
}

export function getBigPackageDetailApi(query) {
    return request({
      url: '/admin/wmscorepackage/get-big-package-detail',
      method: 'get',
      params: query
    })
}

export function getExportPackageZbTotalListForBCApi(query) {
  return request({
    url: '/admin/reportExport/getExportPackageZbTotalListForBC',
    method: 'get',
    params: query
  })
}


export function allExportStatusApi(query) {
  return request({
    url: '/admin/reportExport/all-personal-report-status',
    method: 'get',
    params: query
  })
}

export function listFinancialReviewForBcApi(query) {
  return request({
    url: '/admin/settle/list-financial-review-for-bc',
    method: 'get',
    params: query
  })
}


export function listPackageSettleListForBCApi(query) {
  return request({
    url: '/admin/settle/listPackageSettleListForBC',
    method: 'get',
    params: query
  })
}


export function exportSettlementProofApi(packageIds) {
  return request({
    url: '/admin/settle/exportSettlementProof',
    method: 'get',
    responseType: 'arraybuffer',
    params: {
      packageIds: packageIds
    },
  })
}


export function notifyByOneselfApi(data) {
  return request({
    url: '/admin/settle/notify-by-oneself',
    method: 'post',
    data
  })
}


export function exportPackageSettleApi(query) {
  return request({
    url: '/admin/settle/exportPackageSettle',
    method: 'get',
    params: query,
    responseType: 'arraybuffer'
  })
}



export function listMahPackageSettleListForBCApi(query) {
  return request({
    url: '/admin/settle/listMahPackageSettleListForBC',
    method: 'get',
    params: query
  })
}

export function exportPackageSettleByMAHApi(query) {
  return request({
    url: '/admin/settle/exportPackageSettleByMAH',
    method: 'get',
    params: query,
    responseType: 'arraybuffer'
  })
}


export function getScorePackagePageForBCApi(query) {
  return request({
    url: '/admin/wmscorepackage/getScorePackagePageForBC',
    method: 'get',
    params: query
  })
}

export function exportScorePackageForBcApi(query) {
  return request({
    url: '/admin/wmscorepackage/export-score-package-for-bc',
    method: 'get',
    params: query,
    responseType: 'arraybuffer'
  })
}


export function getScorePackagePageForMahForBCApi(query) {
  return request({
    url: '/admin/wmscorepackage/getScorePackagePageForMahForBC',
    method: 'get',
    params: query
  })
}

export function exportScorePackageMahForBcApi(query) {
  return request({
    url: '/admin/wmscorepackage/export-score-package-mah-for-bc',
    method: 'get',
    params: query,
    responseType: 'arraybuffer'
  })
}
